BEGIN IMDREAM

// **********************1st DREAM************************


IF ~Global("MRDream1","GLOBAL",1)~ THEN BEGIN MRDream1-1
 SAY ~Heya! It's me, Imoen!~ [ MRImDre2 ]
 =
 ~Whatcha doin' here, you ask? I have no idea - it's one of your crazy dreams!~
 IF ~~ + MRDream1-2
END

IF ~~ THEN BEGIN MRDream1-2
SAY ~Oh, by the way - you can't talk. Annoying, I know, but it's one of those dream-things. But lucky for you, you don't *need* to talk... for this, you just need to watch and listen.~
 =
 ~Y'know, sometimes I wonder... have I ever been more to you than just a friend? Have we always felt that way? The way we feel now?~
 =
 ~I guess so. That's what I'd say, at least. Lately though, sometimes...~
 =
 ~Hah, well, I'm rambling, aren't I? C'mon, we've got things to see and people to meet. Follow me! Though I think y'know these walls well enough not to get lost. (Imoen's giggle echoes eerily through the empty keep.)~
 
 IF ~Gender(Player1,MALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",3)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cutim01")~
	EXIT
 IF ~Gender(Player1,FEMALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",3)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("CutiF01")~
	EXIT
END

IF ~Global("MRDream1","GLOBAL",3)
~ THEN BEGIN MRDream1-3 // from:
 SAY ~Y'know, we've known each other since forever. At least it feels that way, doesn't it? I don't even remember meeting you - just being with you. You were always there.~
	= ~Kinda weird, actually. I don't remember anything before Candlekeep, even though I was... what? Nine years old? Ten? About ten, when I was brought there.~
	= ~(She shrugs, brushing the matter aside) Anyways, I guess what matters is... there's never been an 'I' for me, without there being an 'us' too, if y'know what I mean.~
	= ~Y'ever think of our childhood? Gorion just adored you, but I liked stickin' with ol' Puffguts. (She chuckles) 'Course, every minute we could sneak away, we spent playing together and giving the monks no end of grief.~
	IF ~Gender(Player1, MALE)~ THEN GOTO sonOfBhaalThing
 IF ~Gender(Player1, FEMALE)~ THEN GOTO daughterOfBhaalThing
 END

 IF ~~ THEN BEGIN sonOfBhaalThing
 SAY ~Or have you forgotten it all, with the whole 'Son-Of-Bhaal' thing going on? Wouldn't blame ya, really. My memories fade out sometimes, too. Heck, after what Irenicus did to me, I'm surprised I can remember my own name.~
 IF ~~ + butForSomeReason
 END

 IF ~~ THEN BEGIN daughterOfBhaalThing
 SAY ~Or have you forgotten it all, with the whole 'Daughter-Of-Bhaal' thing going on? Wouldn't blame ya, really. My memories fade out sometimes, too. Heck, after what Irenicus did to me, I'm surprised I can remember my own name.~
 IF ~~ + butForSomeReason
 END

 IF ~~ THEN BEGIN butForSomeReason
	SAY ~But, for some reason, I remember this part well. Don't you? We were ten or eleven or something like that. Hardly a year together, but we already got along just fine. Remember?~
	= ~You don't? Hmph. Well, maybe this'll refresh your memory. Look!~
IF ~Gender(Player1,MALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",4)
ClearAllActions()
StartCutSceneMode()
StartCutScene("Cutim02")~
EXIT
IF ~Gender(Player1,FEMALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",4)
ClearAllActions()
StartCutSceneMode()
StartCutScene("CutiF02")~
EXIT
END

IF ~Global("MRDream1","GLOBAL",5)~
THEN BEGIN MRDream1-4
	SAY ~So <CHARNAME>...~
	=
	~(Imoen is looking down, avoiding your eyes. Her voice sounds different now - subdued, bashful, distant. She looks up, and your eyes meet.)~
	=
	~Where is your promise now?~
	IF ~Gender(Player1,MALE)~ THEN GOTO MRDR4Mal
	IF ~Gender(Player1,FEMALE)~ THEN GOTO MRDR4Fem
END

	IF ~~ THEN BEGIN MRDR4Mal
	SAY ~Who's there to protect me?~
	IF ~~ THEN DO ~SetGlobal("MRDream1","GLOBAL",6)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cuti03a")~
	EXIT
	END

	IF ~~ THEN BEGIN MRDR4Fem
	SAY ~Will you always be there for me?~
	IF ~~ THEN DO ~SetGlobal("MRDream1","GLOBAL",6)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("CuiF03a")~
	EXIT
	END


IF ~Global("MRDream1","GLOBAL",6)~ BEGIN MRDream1-5
	SAY ~Will you... love me?~
	=
	~(Imoen presses her lips against yours. The kiss nearly burns against your mouth, its desperation searing hot on your skin. Her longing is a near sentient thing, seeping into your system like a haunted spirit in search of a new host.)~
	=
	~(The memory of her white-knuckled grasp on your tunic troubles your sleep long after the dream fades away.)~
	IF ~Gender(Player1,MALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",7)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cutim04")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~SetGlobal("MRDream1","GLOBAL",7)
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("CutiF04")~
	EXIT
END

// *****************************2nd DREAM*******************************


IF ~Global("MRDream2","GLOBAL",1)~ THEN BEGIN MRDream2-1
 SAY ~Feelin' sleepy, aren't we?~
 IF ~~ THEN DO ~SetGlobal("ImoenRomanceActive","GLOBAL",1)~ GOTO MRDream2-2
END
IF ~~ THEN BEGIN MRDream2-2
	SAY ~This is no recurring dream. Same place, same people, different memories.~
	=
	~They *are* memories... aren't they?~ [ MRImDre2 ]
	=
	~We already know that we've been together all of our lives. From childhood, through our teens, up to adulthood. Even that awkward time when boys become men, and girls become women.~
	=
	~At that time I was becoming a pretty little woman, or so everyone told me. Sometimes I wondered if you ever noticed that, y'know? I still wonder at times. A girl can be self-conscious, especially at that age.~
	=
	~So... did you? Did you ever look at me, and... think twice?~
	=
	~I guess not. If you did, you never showed it. I know I didn't.~
	=
	~Teenagers... a day in our teenage lives, when we were around fifteen. Quite a special day, d'ya remember it? Nah, of course you don't. Things like this are easily forgotten.~
	=
	~There'd been a horrible tempest along the coast, lasting a whole tenday. When it finally stopped, everything was sunny and bright again.~
	=
	~It was your idea - you wanted to go swimming at the lake, enjoy the weather. We'd done it before, but not for a while. I happily agreed, of course.~
	=
	~Any of this jiggling yer memory? How about we go back, you okay with that? Y'know, I kinda like that you can't talk. Gosh, you can't even move! I just thought it'd be polite to ask before I do whatever I want. (Imoen's soft laughter travels through the keep, the pitch in its echoes eerily askew.)~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutim06")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF06")~
	EXIT
END

IF ~Global("MRDream2","GLOBAL",2)~ THEN BEGIN MRDream2-3
	SAY ~Aah, such a great place. Brings back such happier times. Mm, can you smell it? The fresh water, the trees, the birds... (She sighs deeply.)~
	=
	~Look! There we are. Shall we watch the scene? I'll take your silence for a 'yes'.~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutim07")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF07")~
	EXIT
END

IF ~Global("MRDream2","GLOBAL",5)~
	THEN BEGIN MRDream2-4
	SAY ~So <CHARNAME>...~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cuti07a")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cuiF07a")~
	EXIT
END

IF ~Global("MRDream2","GLOBAL",6)~ THEN BEGIN MRDream2-5
	SAY ~(Imoen whispers in your ear. Her warm breath rouses your skin with gooseflesh.)~
	=
	~Did you notice me yet?~
	=
	~(She cups your jaw in her hands and softly, lovingly kisses your lips. She tastes of wild berries, and burnt flesh, and black ash.)~
	= ~(Her touch is like hot irons branded into your cheeks, and the heat stays with you throughout the restless night.)~
	IF ~Gender(Player1,MALE)~ THEN DO ~
    RealSetGlobalTimer("MRDreamComTimer","GLOBAL",20) 
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutim10")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~
    RealSetGlobalTimer("MRDreamComTimer","GLOBAL",20) 
	ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF10")~
	EXIT
END


// **********************************3rd Dream*************************************


IF ~Global("MRDream3","GLOBAL",1)~ THEN BEGIN MRDream3-1
	SAY ~Oh, jeez, again? Yer lucky I'm only in your mind, 'cuz otherwise I'd have something to say about you keepin' me up all night.~
	=
	~Yer probably wondering by now how much of all this is real. But what's "real", anyway? Nothing is real. Everything is real. Up to you, really.~
	= ~I guess the actual question is, am I *really* Imoen? Do we share a special connection that lets me reach you from my own personal hellhole? Do I talk to you from far, far away?~ [ MRImRom6 ]
	= ~(Imoen starts laughing, deeply amused. The echoes send ugly reverberations up and down the keep's walls.)~
	= ~Of course not, dummy. Why even pretend. I'm Bhaal's taint, tempting you. I'm your subconscious, rousing from deep sleep. I'm what you want and never dared admit. I'm a parasite. I'm a trickster spirit.~
	= ~I'm guilt.~
	= ~Which one is it? That's for you to decide, I'm afraid. I'm probably none of those things. I'm probably all of them. You'll have to make up your own interpretation. Against all odds, your coin landed on edge.~
	= ~But forget about all that. I have another story for you, from about two years before all of this started in the first place.~
	= ~Surely you remember this one, dontcha? Eh, ya never know. With everything we've been though, you might've forgotten.~
	IF ~OR(5)
		Alignment(Player1,LAWFUL_GOOD)
		Alignment(Player1,NEUTRAL_GOOD)
		Alignment(Player1,CHAOTIC_GOOD)
		Alignment(Player1,LAWFUL_NEUTRAL)
		Alignment(Player1,NEUTRAL)
 Gender(Player1,MALE)
	~ THEN GOTO MRDream3-2-Good-Male
	IF ~OR(5)
		Alignment(Player1,LAWFUL_GOOD)
		Alignment(Player1,NEUTRAL_GOOD)
		Alignment(Player1,CHAOTIC_GOOD)
		Alignment(Player1,LAWFUL_NEUTRAL)
		Alignment(Player1,NEUTRAL)
 Gender(Player1,FEMALE)
	~ THEN GOTO MRDream3-2-Good-Female
	IF ~OR(4)
		Alignment(Player1,CHAOTIC_NEUTRAL)
		Alignment(Player1,LAWFUL_EVIL)
		Alignment(Player1,NEUTRAL_EVIL)
		Alignment(Player1,CHAOTIC_EVIL)
	~ THEN GOTO MRDream3-2-Evil
END

IF ~~ THEN BEGIN MRDream3-2-Good-Male
	SAY ~You've always been there for me. Kinda my knight in shining armor. Doesn't make me uncomfortable or anything - it's nice to have someone who really cares about you, y'know?~
 IF ~~ THEN GOTO MRDream3-3
END

IF ~~ THEN BEGIN MRDream3-2-Good-Female
	SAY ~You've always been there for me. Kinda my knight in shining armor - girls can be knights, right? It doesn't make me uncomfortable or anything. It's actually really nice to have someone who really cares about you, y'know?~
 IF ~~ THEN GOTO MRDream3-3
END

IF ~~ THEN BEGIN MRDream3-2-Evil
	SAY ~Though you weren't the nicest kid to ever walk Faerun, you've always been there for me. Like... a black night with a soft spot. It's real nice to have someone that cares for your safety... even if they're a hobgoblin like you.~
	=
	~And 'sides, you were nice to *me* - if you hadn't been, I wouldn't've put up with ya for as long as I have, you can be sure of that.~
	IF ~~ THEN GOTO MRDream3-3
END

IF ~~ THEN BEGIN MRDream3-3
	SAY ~I do wonder, though... was there ever anything more to that? Was it just... protectiveness? Fondness? Simple affection?~
	= ~Love?~
	= ~(Imoen shrugs) How about we go on a hike? The Londor Hills are nearby. The chores are done, the monks ain't watchin', and Winthrop's napping. Let's pack some stuff, leave a note and sneak out!~
	= ~Y'know, for old times' sake...~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cutim12")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF12")~
	EXIT
END


IF ~Global("MRDream3","GLOBAL",2)~ THEN BEGIN MRDream3-4
	SAY ~(Imoen sighs) Just look at all those stars... it's so beautiful.~ 
	=
	~It always astounds me, looking up at the heavens and seeing all those white spots.~
	=
	~You ever feel the same way? It's so... amazing. So overwhelming.~
	=
	~Oh, look, and we have company. Who coulda expected it? Not me, nu-uh.~ [ MRImRom3 ]
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cutim13")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF13")~
	EXIT
END

IF ~Global("MRDream3","GLOBAL",5)~ THEN BEGIN MRDream3-5
	SAY ~So <CHARNAME>...~
	=
	~(You return to your normal self. Imoen stands by your side, and under the glowing moonlight her figure is ashimmer in silver, shrouded in shadow. Her attire has shifted, become a fluttering gossamer cloth fit for a ghostly spirit.)~
	=
	~Care, becomes want, becomes need. Thoughts, become desire, become touch.~
        = ~How far have you gone down these paths? How far would you go, given the chance?~
        = ~Do you long for a smile on my lips?~
        = ~Do you long for my breath of your skin?~
        = ~When I tremble...~
        = ~When I shudder...~
        = ~Will I find your arms around me?~
	IF ~Gender(Player1,MALE)~THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cuti15a")~
	EXIT
	IF ~Gender(Player1,FEMALE)~THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cuiF15a")~
	EXIT
END


IF ~Global("MRDream3","GLOBAL",6)~ THEN BEGIN MRDream3-6
	SAY ~Did you ever wonder what it would be like to... love me?~
	=
	~(Imoen comes closer to you. Your arms wrap around her figure, their will not your own. She buries herself in your embrace, burrowing as if to hide from the outside world.)~
	= ~(And she's trembling. Her hands curl into your clothes anxiously. Her breath is ragged with tears.)~
	= ~It doesn't end... it never ends.~
	= ~There's only pain, every waking moment.~
	= ~I can't take it anymore. It's too much.~
	= ~Where are you?~
	= ~Aren't you coming?~
	= ~Did you... abandon me?~
	= ~Where are you...~
	= ~(Her despairing doubt plunges deep and festers fast in your thoughts. Hopeless, formless cries plague the remainder of your fitful sleep.)~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("Cutim16")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutiF16")~
	EXIT
END
